Package org.opensaml.security.crypto.ec

# Class EnhancedECParameterSpec

java.lang.Object
java.security.spec.ECParameterSpec
org.opensaml.security.crypto.ec.EnhancedECParameterSpec

All Implemented Interfaces:
  `AlgorithmParameterSpec`

public class EnhancedECParameterSpec extends ECParameterSpec
A specialized subclass of `ECParameterSpec` which wraps an existing instance and implements `hashCode()` and `equals(Object)` so that it may be used directly in hashtable-based collections, as well as simplifying equality comparisons between 2 instances.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final ECParameterSpec`
`original`
The original instance.

## Constructor Summary

Constructors
Constructor
Description
`EnhancedECParameterSpec(ECParameterSpec spec)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`ECParameterSpec`
`getOriginal()`
Get the original instance passed to the constructor.
`int`
`hashCode()`

### Methods inherited from class java.security.spec.ECParameterSpec

`getCofactor, getCurve, getGenerator, getOrder`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### original

@Nonnull private final ECParameterSpec original
The original instance.

## Constructor Details

### EnhancedECParameterSpec

public EnhancedECParameterSpec(@Nonnull ECParameterSpec spec)
Constructor.

Parameters:
  `spec` - the parameter spec instance to wrap

## Method Details

### getOriginal

@Nonnull public ECParameterSpec getOriginal()
Get the original instance passed to the constructor.

Returns:
  the original instance

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(@Nullable Object obj)

Overrides:
  `equals` in class `Object`